PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.6.0 »
- PyDL »
- Goddard Utilities (`pydl.goddard`)

# Goddard Utilities (`pydl.goddard`)

## Introduction

This is a placeholder for Goddard Utilities documentation.

## API

### pydl.goddard Package

This subpackage contains the Goddard utilities.

### pydl.goddard.astro Module

This module corresponds to the goddard/astro directory in idlutils.

#### Functions

`airtovac`(air) | Convert air wavelengths to wavelengths in vacuum.
`gcirc`(ra1, dec1, ra2, dec2[, units]) | Computes rigorous great circle arc distances.
`get_juldate`([seconds]) | Returns the current Julian date.
`get_juldate_main`() | Entry point for the get_juldate command-line script.
`vactoair`(vacuum) | Convert vacuum wavelengths to wavelengths in air.

### pydl.goddard.math Module

This module corresponds to the goddard/math directory in idlutils.

#### Functions

`flegendre`(x, m) | Compute the first `m` Legendre polynomials.

### pydl.goddard.misc Module

This module corresponds to the goddard/misc directory in idlutils.

#### Functions

`cirrange`(ang[, radians]) | Convert an angle larger than 360 degrees to one less than 360 degrees.